# Additional References

## Known Issues

### v5.0.5

* Instantiation "additional" parameters can't be passed with the config object through the dashboard. Being addressed by [this fix](https://osm.etsi.org/gerrit/#/c/7357/).
* Cloud-init will not allow parameter names with hyphens due to Jinja2 (Python Identifiers) implementation, but the error is misleading. Being addressed through [this fix](https://osm.etsi.org/gerrit/#/c/7444/).
* Proxy charms may not be deleted after NS is terminated, making the NS fail to be deleted. Workaround is to delete the LXC container with `juju remove-machine` command, then force the deletion of the NS. Being addressed by [this fix](https://osm.etsi.org/gerrit/#/c/7325/).

### v6.0.1

* VDUs that do not support 'MIME-multi part file' and use charms, will not be able to receive the cloud_init information provided in its own package. The issue is explained in [this bug](https://osm.etsi.org/bugzilla/show_bug.cgi?id=828)

## Installing Python OSM IM package

For using the devops tools for validating the descriptors aganst the model, the python-osm-im package should be installed.
Follow these steps to install it if needed:

```bash
# Check that the current OSM debian repository is the current stable repo for the release:
grep -h ^deb /etc/apt/sources.list /etc/apt/sources.list.d/* |grep osm-download
#  should be similar to this, and should include IM component:
#    deb [arch=amd64] https://osm-download.etsi.org/repository/osm/debian/ReleaseSIX stable IM osmclient devops

# If missing, add repository with:
curl "https://osm-download.etsi.org/repository/osm/debian/ReleaseSIX/OSM%20ETSI%20Release%20Key.gpg" | apt-key add -
apt-get update && add-apt-repository -y "deb [arch=amd64] https://osm-download.etsi.org/repository/osm/debian/ReleaseSIX stable IM osmclient devops"

# Install/update python-osm-im and its dependencies
apt-get update
apt-get install python-osm-im
sudo -H pip install pyangbind
```

## Migrating old descriptors to current release

If you have Release 1 or 2 descriptors, you can convert it to a newer, supported format. Only the files containing the VNFD or NSD descriptor need to be migrated. 
Clone the devops repo, run the utility for that and generate the package:

```bash
git clone https://osm.etsi.org/gerrit/osm/devops
./devops/descriptor-packages/tools/upgrade_descriptor_version.py -i <old-descriptor-file> -o <new-descriptor-file>
# generate package following the instructions of previous sections
```

This command fails if package python-osm-im is not installed.