# VNF Onboarding Guidelines

## Scope of the document

This document collects procedures and best practices to sucessfully onboard VNFs in OSM.

## Guidelines for contributors

* OSM [Workflow for documentation production](https://osm.etsi.org/gitlab/osm-doc/documentation-how-to/blob/master/Workflow%20for%20documentation%20production%20in%20OSM.md#guide-for-contributors) must be used.
* Every section of this document, under a "H1" tag (single #), must be contained in a single file and formatted according to the following [sample document](#)

## Exporting the document 

This markdown format can be easily exported by installing and using [Pandoc](https://pandoc.org/installing.html) in your local machine.
The 'export.sh' script includes an example, simply clone the repository, run the script, and the document will be exported to a self-contained HTML in the **root** folder.

`./export.sh`

If you pass as a parameter a DOCX template name from the 'templates' folder, then the document will be exported to Word format in the **outputs** folder.
Please note that it is configured to use the [DOCX Pagebreak extension](https://pypi.org/project/pandoc-docx-pagebreak/)

`./export.sh OSM_White_Paper_Template_body_fixed.docx`

For more information about Pandoc options, please visit the OSM [Workflow for documentation production](https://osm.etsi.org/gitlab/osm-doc/documentation-how-to/blob/master/Workflow%20for%20documentation%20production%20in%20OSM.md#guide-for-contributors)
